using System;

namespace Ohsai
{
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Struct)]
    public class OhsaiModifier : Attribute
    {
        public OhsaiModifier(string name, string description, string[] types)
        {
            this.Name = name;
            this.Description = description;
            this.Types = types;
        }

        public OhsaiModifier()
        {
            
        }
        public string Name { get; set; }
        public string Description { get; set; }
        public string[] Types { get; set; }
    }
}