﻿using System;
using System.Collections.Generic;
using EventArgsType = System.EventArgs;

namespace Ohsai
{
    public interface ICondition
    {
        ISensor Sensor { get; set; }
        List<ISensorFilter> Filters { get; set; }
        void Update(object sender, EventArgsType e);
        event EventHandler Passed;
        event EventHandler Failed;
        void OnPassed();
        void OnFailed();
    }
}
