﻿using EventArgsType = System.EventArgs;

namespace Ohsai
{
    public interface IResponder
    {
        ICondition Condition { get; set; }
        IAction Action { get; set; }
        void Update(object sender, EventArgsType e);
        bool Enabled { get; set; }
        void Reset();
    }
}
