﻿using System;
#if XNA
using VectorType = Microsoft.Xna.Framework.Vector3;
#endif

namespace Ohsai.ReadersWriters
{
    public class VectorTypeReader : Ohsai.IDataReader
    {
        public object Read(string data)
        {
            VectorType value = VectorType.Zero;
            var parts = data.Split(" ".ToCharArray(), StringSplitOptions.RemoveEmptyEntries);

            value.X = float.Parse(parts[0]);
            value.Y = float.Parse(parts[1]);
            value.Z = float.Parse(parts[2]);

            return value;
        }
    }
}
