#if XNA
using VectorType = Microsoft.Xna.Framework.Vector3;
#endif

namespace Ohsai.ReadersWriters
{
    public class VectorTypeWriter : IDataWriter
    {
        public void Write(object obj, out string data)
        {
            var value = (VectorType)obj;
            data = string.Format("{0} {1} {2}", value.X, value.Y, value.Z);
        }
    }
}