using System;

namespace Ohsai.VerbModifiers
{
    [OhsaiModifier(Name = "RotateRight", Description = "Provides a modifier type for rotating a agent to the left.",
                   Types = new[] { "Ohsai.Verbs.Move" })]
    public class RotateLeft : RotateModifier
    {
        public RotateLeft()
        {
            this.Rotation = (float)Math.PI / -180;
        }
    }
}