﻿using System;

namespace Ohsai 
{
    [AttributeUsage(AttributeTargets.Parameter | AttributeTargets.Field | AttributeTargets.Property)]
    public class OhsaiReader : Attribute
    {
        public OhsaiReader(string reader)
        {
            this.Reader = reader;
        }

        public OhsaiReader()
        {
            
        }

        /// <summary>
        /// Specifies the full namespace of the reader to use.
        /// </summary>
        public string Reader { get; set; }
    }
}
