using System;

namespace Ohsai 
{
    [AttributeUsage(AttributeTargets.Parameter | AttributeTargets.Field | AttributeTargets.Property)]
    public class OhsaiWriter : Attribute
    {
        public OhsaiWriter(string writer)
        {
            this.Writer = writer;
        }

        public OhsaiWriter()
        {
            
        }

        /// <summary>
        /// Specifies the full namespace of the writer to use.
        /// </summary>
        public string Writer{ get; set; }
    }
}