using System.Collections.Generic;
using PositionType = Microsoft.Xna.Framework.Vector3;

namespace Ohsai
{
    public interface IAgent
    {
        PositionType Position { get; set; }
        PositionType Direction { get; set; }
        List<IResponder> Responders { get; set; }
        IWorldQuery WorldQuery { get; set; }
    }
}
