using System;

namespace Ohsai.VerbModifiers
{
    [OhsaiModifier(Name = "RotateRight", Description = "Provides a modifier type for rotating a agent to the right.",
                   Types = new[] { "Ohsai.Verbs.Move" })]
    public class RotateRight : RotateModifier
    {
        public RotateRight()
        {
            this.Rotation = (float) Math.PI/180;
        }
    }
}